Subject: RE: [rohc] "(no subject)"

From: "Ghyslain Pelletier \(LU/EAB\)" <[email-masked]>
Date: Fri, 26 May 2006 15:02:50 +0200

Hi Endre,

We've removed the mention for the 'generic extension header
list', because rfc3095 is clear about its length and how it
works, as you point out yourself in your mail.

We wanted to clarify only for the 'generic CSRC list',
because the presence of the CC field in the dynamic RTP chain
described in 5.7.7.6 combined with the possible association
that the reader might make with the way CSRC list works in
RTP could still represent a possible source of
misinterpretation of the specification.

/Ghyslain

> Hi ROHCers,
> 
> Section 5.1 of the "Corrections and Clarifications to RFC 3095"
> (draft-ietf-rohc-rtp-impl-guide-19.txt) document clarifies that the
> 'Generic CSRC list' field is always at least 1 octet, even if the
> list is empty. 
> 
> This statement was already present in the previous version of the
> document, but for IP extension header only. Now it covers CSRC list
> only. 
> 
> Since the statement is true both for IP extension header lists and
> for CSRC lists, I suggest to correct the paragraph and its title to
> cover both cases: 
> 
> 5.1. Generic extension header list and generic CSRC list
> 
>  The 'generic extension header list' and the 'generic CSRC list'
>  fields start with an octet that is always  present, so its length
> is one octet, at least. 
> 
> Regards,
> Endre

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc